Create Iam Component Auth Source
Creates Iam Component Auth Source. Can be based on a VCF Component or a Management Component type.
IAM Component Auth Source request payload
Show optional properties
{
"authSourceType": "string",
"ssoRealmId": "string"
}
"{\n \"ssoRealmId\" : \"c23c6e31-4900-4e94-99f0-39f0f20308be\",\n \"authSourceType\" : \"VCF_COMPONENT\",\n \"vcfComponentId\" : \"a23c6e31-4900-4e94-99f0-39f0f20308be\"\n}"
Auth Source Type enum
VCF Component type
Authsource creation time
SSO Realm identifier
Auth source configuration status
Authsource last updated time
VCF component identifier (required when authSourceType is VCF_COMPONENT)
VCF component resource ID for VCenter or NSX cluster
Create Auth Source result
{
"authSourceType": "string",
"componentType": "VCF_OPERATIONS",
"createdAt": 0,
"ssoRealmId": "string",
"status": "string",
"updatedAt": 0,
"vcfComponentId": "string",
"vcfComponentResourceId": "string"
}
Auth Source Type enum
VCF Component type
Authsource creation time
SSO Realm identifier
Auth source configuration status
Authsource last updated time
VCF component identifier (required when authSourceType is VCF_COMPONENT)
VCF component resource ID for VCenter or NSX cluster
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"authSourceType":"string","ssoRealmId":"string"}' https://{api_host}/suite-api/api/fleet-management/iam/components/auth-sources